package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.service;

import info.aspirecn.iov.sjjh.commons.lang.ChannelTypeHandleResponseObject;


import javax.servlet.http.HttpServletRequest;

/**
 * @author chenqingqing
 * @Description
 */

public interface WycChannelService {

    /**
     * 网约车信息查询-白天源
     * @param request
     * @param channelId
     * @param outTime
     * @param customBody
     * @return
     */
	ChannelTypeHandleResponseObject WycInfoRequest(
            HttpServletRequest request, String channelId, Integer outTime, String customBody);
	/**
	 * 网约车接口定制需求--入参增加查询月份
	 * @param request
	 * @param outTime
	 * @param customBody
	 * @return
	 */
	ChannelTypeHandleResponseObject onlineCarHailingQuery(
            HttpServletRequest request, Integer outTime, String customBody);

	/**
	 * 网约车接口定制需求--入参增加查询月份--入参加密版
	 * @param request
	 * @param outTime
	 * @param customBody
	 * @return
	 */
	ChannelTypeHandleResponseObject encryptOnlineCarHailingQuery(
            HttpServletRequest request, Integer outTime, String customBody);

	/**
	 * 网约车信息查询-拼接三传木解密-身份证号解密
	 * @param request
	 * @param channelId
	 * @param outTime
	 * @param customBody
	 * @return
	 */
	ChannelTypeHandleResponseObject WycInfoDecodeRequest(
            HttpServletRequest request, String channelId, Integer outTime, String customBody, String encryptType);

	/**
	 * 从业车辆画像查询
	 * @param request
	 * @param channelId
	 * @param outTime
	 * @param customBody
	 * @return
	 */
	ChannelTypeHandleResponseObject vehicleInfoQuery(
            HttpServletRequest request, String channelId, Integer outTime, String customBody);

	/**
	 * 网约车信息查询-拼接三传木解密-身份证号姓名解密
	 * @param request
	 * @param channelId
	 * @param outTime
	 * @param customBody
	 * @return
	 */
	ChannelTypeHandleResponseObject WycInfoDecodeRequestV2(
            HttpServletRequest request, String channelId, Integer outTime, String customBody, String encryptType);

	/**
	 * 从业车辆画像查询-定制版
	 * @param request
	 * @param channelId
	 * @param outTime
	 * @param customBody 入参：车牌号，vin, 业务类型，公司名称
	 * @return 从业年限，总公里数，半年公里数
	 */
	ChannelTypeHandleResponseObject vehicleInfoQueryV2(
			HttpServletRequest request, String channelId, Integer outTime, String customBody);
}
